<?php

namespace App\Console\Commands;

use App\Models\JuxingAdAccount;
use App\Models\JxStarUsers;
use App\Models\JxStarVideoFlowDailyData;
use App\Models\Sys\SysIndustry;
use App\Support\Log;
use App\Support\RedisModel;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\DB;
use kwaiSDK\JinNiu;
use kwaiSDK\JuXing;


class ApiTest extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'ApiTest {param}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'API 接口测试';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        DB::disableQueryLog();
        $this->info(date('H:i') . ' 开始执行');

        $func = 'start'.$this->argument('param');
        $this->$func();

        $this->info(date('H:i') . ' 结束执行');

        return 0;
    }

    public function start1()
    {
        $advertiserId = 109669786;
        $accessToken = '2892bed338a65f99b447554348e7fa5a';
//        var_dump($accessToken);exit();
        $juxing = new JuXing($accessToken);
        $data = $juxing->investData()->taskList([
            'advertiser_id'     => $advertiserId,
            'create_start_time' => '2022-10-01',
            'create_end_time'   => '2022-10-01'
        ]);

        var_dump($data);
    }

    public function start2()
    {
        # 获取advertiserId
        $advertiserIds = JuxingAdAccount::query()
            ->where('enable', 1)
            ->pluck('advertiser_id')
            ->all();
        if (empty($advertiserIds)) return 0;

        # 设置时间
        $stTime = '2022-07-01';
        $enTime = date('Y-m-d');

        # 获取时间段数组
        $timeRangeArr = getTimeRangeArr($stTime, $enTime);

        foreach ($advertiserIds as $advertiserId) {
            foreach ($timeRangeArr as $timeRange) {
                # 插入队列
                RedisModel::lPush(JuxingAdAccount::JUXING_STAR_VIDEO_SYNC_ADVID_LIST, json_encode([
                    'advertiserId' => $advertiserId,
                    'timeRange'    => $timeRange
                ]));

                RedisModel::lPush(JuxingAdAccount::JUXING_STAR_LIVE_SYNC_ADVID_LIST, json_encode([
                    'advertiserId' => $advertiserId,
                    'stTime'       => $timeRange['st'],
                    'enTime'       => $timeRange['en']
                ]));

                RedisModel::lPush(JuxingAdAccount::JUXING_QTASK_VIDEO_SYNC_ADVID_LIST, json_encode([
                    'advertiserId' => $advertiserId,
                    'timeRange'    => $timeRange
                ]));

                RedisModel::lPush(JuxingAdAccount::JUXING_QTASK_LIVE_SYNC_ADVID_LIST, json_encode([
                    'advertiserId' => $advertiserId,
                    'stTime'       => $timeRange['st'],
                    'enTime'       => $timeRange['en']
                ]));
            }
        }
    }

    public function start3()
    {
        $jsonData = '{"result":1,"data":[{"industryId":1000,"industryName":"IT消电","industryNote":"","industryCert":"","children":[{"industryId":1023,"industryName":"3C","industryNote":"","industryCert":"1、3C类产品需提供《中国国家强制性产品认证证书》（3C证书）2、商标注册证 3、如涉及销售知名品牌产品需出示相关品牌授权 上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1024,"industryName":"家用电器","industryNote":"","industryCert":"1、3C类产品需提供《中国国家强制性产品认证证书》（3C证书）2、商标注册证 3、如涉及销售知名品牌产品需出示相关品牌授权 上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1025,"industryName":"其他IT消电","industryNote":"","industryCert":"需根据推广页面内容提供相应资质，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1026,"industryName":"商用电器","industryNote":"","industryCert":"1、3C类产品需提供《中国国家强制性产品认证证书》（3C证书）2、商标注册证 3、如涉及销售知名品牌产品需出示相关品牌授权 上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1027,"industryName":"IT消电类线下零售","industryNote":"","industryCert":"1、3C类产品需提供《中国国家强制性产品认证证书》（3C证书）2、商标注册证 3、如涉及销售知名品牌产品需出示相关品牌授权 上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]}]},{"industryId":1001,"industryName":"通信","industryNote":"","industryCert":"","children":[{"industryId":1028,"industryName":"运营商","industryNote":"","industryCert":"《基础电信业务经营许可证》或《因特网接入服务业务经营许可证》或《增值电信业务经营许可证》 上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1029,"industryName":"运营商经销商","industryNote":"","industryCert":"《增值电信业务经营许可证》若是移动/联通/电信运营商的授权机构，需要提供三大运营商的授权，上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1030,"industryName":"虚拟运营商","industryNote":"","industryCert":"《增值电信业务经营许可证》若是移动/联通/电信运营商的授权机构，需要提供三大运营商的授权，上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1031,"industryName":"其他通信类","industryNote":"","industryCert":"需根据推广页面内容提供相应资质，更多详情请查看《快速通过指南》。 ","children":[]}]},{"industryId":1002,"industryName":"电商零售","industryNote":"","industryCert":"","children":[{"industryId":1032,"industryName":"综合类电商平台","industryNote":"","industryCert":"增值电信业务经营许可证；涉及跨境业务还需提供：《对外贸易经营者备案登记表》或《出入境检验检疫报检企业备案表》或《中华人民共和国海关报关单位注册登记证书》；上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1033,"industryName":"垂直电商平台","industryNote":"","industryCert":"增值电信业务经营许可证；涉及跨境业务还需提供：《对外贸易经营者备案登记表》或《出入境检验检疫报检企业备案表》或《中华人民共和国海关报关单位注册登记证书》；上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1034,"industryName":"综合线下商业零售","industryNote":"","industryCert":"请提供营业执照（相关的经营范围要覆盖推广的内容），上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1035,"industryName":"其他电商零售类","industryNote":"","industryCert":"需根据推广页面内容提供相应资质，更多详情请查看《快速通过指南》。 ","children":[]}]},{"industryId":1005,"industryName":"房地产","industryNote":"","industryCert":"","children":[{"industryId":1090,"industryName":"房地产综合服务平台","industryNote":"","industryCert":"推广房产中介：《房地产经纪企业备案证书》或《房地产经纪企业分支机构备案证书》或《房地产经纪咨询机构备案证书》或《房地产中介机构备案证明》如涉及在线平台的，须提供《增值电信业务经营许可证》或icp备案证明；上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1091,"industryName":"房地产开发商","industryNote":"","industryCert":"房地产开发商品牌宣传，请提供《房地产开发资质等级证书》或《暂定资质证书》。如涉及房产项目，需提供1.《建设用地规划许可证》2.《建设工程规划许可证》3.《建筑工程施工许可证》4.《国有土地使用证》或《商品房销售（预售）许可证》或《现房销售备案凭证》上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1092,"industryName":"物业管理","industryNote":"","industryCert":"请提供营业执照（相关的经营范围要覆盖推广的内容），上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1093,"industryName":"其他房地产","industryNote":"","industryCert":"需根据推广页面内容提供相应资质，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1094,"industryName":"房地产中介","industryNote":"","industryCert":"请提供《房地产经纪企业备案证书》或《房地产经纪企业分支机构备案证书》或《房地产经纪咨询机构备案证书》或《房地产中介机构备案证明》如涉及在线平台，需提供《增值电信业务经营许可证》或icp备案证明。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]}]},{"industryId":1006,"industryName":"服装配饰","industryNote":"","industryCert":"","children":[{"industryId":1095,"industryName":"服装衣帽","industryNote":"","industryCert":"无特殊资质要求，如涉及知名品牌需提供商标证明及商标授权，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1096,"industryName":"内衣","industryNote":"","industryCert":"无特殊资质要求，如涉及知名品牌需提供商标证明及商标授权，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1097,"industryName":"鞋靴","industryNote":"","industryCert":"无特殊资质要求，如涉及知名品牌需提供商标证明及商标授权，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1098,"industryName":"箱包","industryNote":"","industryCert":"无特殊资质要求，如涉及知名品牌需提供商标证明及商标授权，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1099,"industryName":"珠宝饰品","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1100,"industryName":"其他服装配饰","industryNote":"","industryCert":"需根据推广页面内容提供相应资质，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1101,"industryName":"服装配饰线下零售","industryNote":"","industryCert":"无特殊资质要求，如涉及知名品牌需提供商标证明及商标授权，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1102,"industryName":"钟表","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]}]},{"industryId":1007,"industryName":"家居建材","industryNote":"","industryCert":"","children":[{"industryId":1103,"industryName":"家装建材","industryNote":"","industryCert":"1.如涉及“中国强制性产品认证”产品，请提供3c报告。2.如不涉及“中国强制性产品认证”产品，无特殊资质要求，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1104,"industryName":"装修设计","industryNote":"","industryCert":"无特殊资质要求，涉及下载需提供《计算机软件著作权登记证书》及软件截图，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1105,"industryName":"家具","industryNote":"","industryCert":"无特殊资质要求，涉及下载需提供《计算机软件著作权登记证书》及软件截图，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1106,"industryName":"家居建材综合服务平台","industryNote":"","industryCert":"请提供《增值电信业务经营许可证》或icp备案证明，如若涉及APP，请提供《计算机软件著作权登记证书》及软件截图。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1107,"industryName":"家居百货","industryNote":"","industryCert":"无特殊资质要求，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1108,"industryName":"其他家居建材类","industryNote":"","industryCert":"需根据推广页面内容提供相应资质，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1109,"industryName":"家居建材类线下零售","industryNote":"","industryCert":"无特殊资质要求，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1110,"industryName":"五金电工","industryNote":"","industryCert":"1.如涉及“中国强制性产品认证”产品，请提供3c报告。2.如不涉及“中国强制性产品认证”产品，无特殊资质要求，更多详情请查看《快速通过指南》。 ","children":[]}]},{"industryId":1008,"industryName":"交通","industryNote":"","industryCert":"","children":[{"industryId":1111,"industryName":"汽车厂商","industryNote":"","industryCert":"如涉及3C类电子产品需提供《中国国家强制性产品认证证书》，上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1112,"industryName":"汽车经销商及线下零售","industryNote":"","industryCert":"经销商：《汽车厂家授权书》或汽车品牌官网经销商查询截图（截图需包含完整的网址链接）上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1114,"industryName":"汽车综合服务平台","industryNote":"","industryCert":"ICP备案证明文件，涉及下载需提供《计算机软件著作权登记证书》及软件截图，上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1116,"industryName":"其他交通类","industryNote":"","industryCert":"需根据推广页面内容提供相应资质，如涉及3C类电子产品需提供《中国国家强制性产品认证证书》（3C认证书），上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1117,"industryName":"非汽车厂商","industryNote":"","industryCert":"如涉及3C类电子产品需提供《中国国家强制性产品认证证书》，上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]}]},{"industryId":1009,"industryName":"教育培训","industryNote":"","industryCert":"","children":[{"industryId":1118,"industryName":"婴幼儿综合教育","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1119,"industryName":"中小学综合教育","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1120,"industryName":"学历教育","industryNote":"","industryCert":"请提供《办学许可证》或《民办学校许可证》或《事业单位法人证书》（如公立学校）。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持 ","children":[]},{"industryId":1121,"industryName":"语言培训","industryNote":"","industryCert":"请提供营业执照（相关的经营范围要覆盖推广的内容），上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1122,"industryName":"留学机构","industryNote":"","industryCert":"请提供营业执照（相关的经营范围要覆盖推广的内容），上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1123,"industryName":"职业技能及资格考证培训","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1124,"industryName":"其他教育培训","industryNote":"","industryCert":"请提供营业执照（相关的经营范围要覆盖推广的内容），上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1125,"industryName":"企业及拓展培训","industryNote":"","industryCert":"请提供营业执照（相关的经营范围要覆盖推广的内容），上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1126,"industryName":"特殊人群教育","industryNote":"","industryCert":"请提供《办学许可证》，收取三份教师的特殊教育相关许可证或教育部备案截图。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1127,"industryName":"兴趣培训","industryNote":"","industryCert":"请提供营业执照（相关的经营范围要覆盖推广的内容），上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":2001,"industryName":"未成年泛素质教育","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]}]},{"industryId":1010,"industryName":"金融服务","industryNote":"","industryCert":"","children":[{"industryId":1128,"industryName":"银行业","industryNote":"","industryCert":"请提供《金融机构许可证》，上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1129,"industryName":"证券业","industryNote":"","industryCert":"请提供《证券经营机构许可证》或《经营证券期货业务许可证》或《期货投资咨询业务许可证》上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1130,"industryName":"小额贷款","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1131,"industryName":"基金","industryNote":"","industryCert":"请提供《基金管理资格证书》（中外合资基金管理公司还应当提交《外商投资企业批准证书》）《基金代销业务资格证》或《基金销售业务资格证》或《经营证券期货业务许可证》《私募投资基金管理人登记证书》或“私募基金管理人登记证明”（电子证明（含基金业协会的网站公告，含具体公告的链接及含该链接的截图）上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1132,"industryName":"综合理财平台及工具","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1133,"industryName":"P2P","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1134,"industryName":"第三方支付","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1135,"industryName":"传统保险业","industryNote":"","industryCert":"请提供《保险机构法人许可证》或《经营保险业务许可证》或《经营保险经纪业务许可证》或《经营保险公估业务许可证》或《经营保险代理业务许可证》或《保险兼业代理业务许可证》或《保险中介许可证》上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1136,"industryName":"互联网保险平台","industryNote":"","industryCert":"请提供《保险机构法人许可证》或《经营保险业务许可证》或《经营保险经纪业务许可证》或《经营保险公估业务许可证》或《经营保险代理业务许可证》或《保险兼业代理业务许可证》或《保险中介许可证》上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1137,"industryName":"其他金融服务类","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1138,"industryName":"期货","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1139,"industryName":"拍卖典当","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1140,"industryName":"贷款服务","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1141,"industryName":"众筹","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1142,"industryName":"金融门户网站","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1143,"industryName":"互联网银行","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":2005,"industryName":"信托业","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":2006,"industryName":"融资担保","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":2007,"industryName":"商业保理","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":2008,"industryName":"征信机构","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":2009,"industryName":"金融资产管理公司","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]}]},{"industryId":1011,"industryName":"旅游","industryNote":"","industryCert":"","children":[{"industryId":1144,"industryName":"在线旅游服务平台","industryNote":"","industryCert":"营业执照经营范围需包含旅游相关经营范围，提供《旅行社业务经营许可证》涉及下载需提供《计算机软件著作权登记证书》及软件截图，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1145,"industryName":"旅行社","industryNote":"","industryCert":"1.如是旅行社总社，需提供（1）《旅行社经营许可证》（2）《旅行社责任险保险单》2.如是旅行社分社，需提供（1）《分社备案登记证明》（2）《旅行社责任险保险单》（3）所属旅行社总社的《旅行社经营许可证》3.如是旅行社服务网点（非广东省），需提供（1）旅行社服务网点备案登记证明（查询网点备案登记截图）（2）旅行社总社的营业执照（3）旅行社总社的《旅行社业务经营许可证》4.如是广东省的旅行社服务网点，需提供（1）旅行社服务网点的营业执照（2）旅行社总社的营业执照（3）旅行社总社的《旅行社业务经营许可证》（保险若为总社统一购买请提供总社的）上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1146,"industryName":"旅游局","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1147,"industryName":"航空公司","industryNote":"","industryCert":"请提供《公共航空运输企业经营许可证》。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1148,"industryName":"旅游景点","industryNote":"","industryCert":"请提供营业执照（相关的经营范围要覆盖推广的内容），上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1149,"industryName":"酒店住宿","industryNote":"","industryCert":"《公共场所卫生许可证》及《旅馆业特种行业许可证》上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1150,"industryName":"其他旅游类","industryNote":"","industryCert":"需根据推广页面内容提供相应资质，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1151,"industryName":"游轮旅行服务","industryNote":"","industryCert":"请提供 1.营业执照（经营范围应涉及游轮旅行）2.《国内水路运输经营许可证》3.《船舶营业运输证》4.该班轮航线运营许可证件。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1152,"industryName":"票务代理","industryNote":"","industryCert":"营业执照经营范围需包含旅游相关经营范围或提供《旅行社业务经营许可证》，涉及下载需提供《计算机软件著作权登记证书》及软件截图，更多详情请查看《快速通过指南》。 ","children":[]}]},{"industryId":1012,"industryName":"快速消费品","industryNote":"","industryCert":"","children":[{"industryId":1154,"industryName":"日化用品","industryNote":"","industryCert":"普通日化用品营业执照需包含相应经营范围；1.需要提供对应产品的《国产非特殊/特殊用途化妆品备案登记凭证》/《国产非特殊/特殊用途化妆品备案电子凭证》及生产方营业执照及委托推广协议/经销授权/代加工协议及产品检验报告；2.进口化妆品：《进口报关单》及《进口化妆品卫生许可批件》或 国家药品监督管理局查询结果截图 如生产主体与开户主体不一致时需提供：生产方营业执照及委托推广协议/经销授权/代加工协议 3.涉及仅卫生巾、纸尿裤、消毒液、消毒湿巾的消毒产品需提供：消毒产品生产企业卫生许可证（涉及代加工，需出具代加工协议）、产品检验报告、商标注册证；上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1155,"industryName":"其他快速消费品","industryNote":"","industryCert":"需根据推广页面内容提供相应资质，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1157,"industryName":"成人用品","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1158,"industryName":"宠物用品","industryNote":"","industryCert":"请提供营业执照（相关的经营范围要覆盖推广的内容），上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1159,"industryName":"快速消费品类线下零售","industryNote":"","industryCert":"请提供营业执照（相关的经营范围要覆盖推广的内容），上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1160,"industryName":"母婴用品","industryNote":"","industryCert":"请提供营业执照（相关的经营范围要覆盖推广的内容），上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":2021,"industryName":"保健品","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":2023,"industryName":"汽车后市场","industryNote":"","industryCert":"1.请提供《机动车维修备案》或《道路运输经营许可证》。2.如涉及汽车检测，需提供《检验检测机构资质认定证书》。3.请确认公司经营范围包含该方向。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]}]},{"industryId":1013,"industryName":"商务服务","industryNote":"","industryCert":"","children":[{"industryId":1161,"industryName":"机械设备","industryNote":"","industryCert":"1.涉及从事电梯、起重机械、客运索道、锅炉、压力容器（含气瓶）、压力管道等机电类特种设备的安装、改造、维修，请提供《特种设备安装改造维修许可证》。2.如不涉及上述内容，则无特殊资质要求，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1162,"industryName":"节能环保","industryNote":"","industryCert":"无特殊资质要求，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1163,"industryName":"工农业","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1164,"industryName":"安全安保","industryNote":"","industryCert":"1.涉及保安培训，请提供《保安培训许可证》2.涉及保安服务，请提供《保安服务许可证》上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1165,"industryName":"广告服务","industryNote":"","industryCert":"无特殊资质要求，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1166,"industryName":"其他商务服务","industryNote":"","industryCert":"需根据推广页面内容提供相应资质，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1167,"industryName":"管理咨询","industryNote":"","industryCert":"无特殊资质要求，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1168,"industryName":"商演会展","industryNote":"","industryCert":"无特殊资质要求，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1169,"industryName":"会计税务","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1170,"industryName":"法律服务","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1171,"industryName":"人力资源服务","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1172,"industryName":"包装印刷","industryNote":"","industryCert":"请提供《印刷许可证》，更多详情请查看《快速通过指南》。 ","children":[]}]},{"industryId":1014,"industryName":"招商加盟","industryNote":"","industryCert":"","children":[{"industryId":1173,"industryName":"综合加盟平台","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1174,"industryName":"生活用品加盟","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1175,"industryName":"生活服务加盟","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1176,"industryName":"服装配饰加盟","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1177,"industryName":"美容美发加盟","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1178,"industryName":"室内娱乐加盟","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1179,"industryName":"教育培训加盟","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1180,"industryName":"酒店加盟","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1181,"industryName":"餐厅加盟","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1182,"industryName":"饮品加盟","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1183,"industryName":"房产家居建材加盟","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1184,"industryName":"食品加盟","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1185,"industryName":"工业加盟","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1186,"industryName":"汽车产品加盟","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1187,"industryName":"互联网软件加盟","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1188,"industryName":"减肥加盟","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1189,"industryName":"招聘中介加盟","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1190,"industryName":"酒加盟","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1191,"industryName":"农林牧渔加盟","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1192,"industryName":"机械设备加盟","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1193,"industryName":"其他招商加盟","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]}]},{"industryId":1015,"industryName":"生活服务","industryNote":"","industryCert":"","children":[{"industryId":1194,"industryName":"便民服务","industryNote":"","industryCert":"无特殊资质要求，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1195,"industryName":"家政服务","industryNote":"","industryCert":"请提供营业执照（相关的经营范围要覆盖推广的内容），上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1196,"industryName":"婚庆服务","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1197,"industryName":"摄影","industryNote":"","industryCert":"请提供营业执照（相关的经营范围要覆盖推广的内容），上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1198,"industryName":"餐饮服务","industryNote":"","industryCert":"请提供《食品经营许可证》、《餐饮服务许可证》等食品相关资质，上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1199,"industryName":"美容美发","industryNote":"","industryCert":"请提供营业执照（相关的经营范围要覆盖推广的内容）及《公共场所卫生许可证》或《卫生许可证》，上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1200,"industryName":"其他生活服务","industryNote":"","industryCert":"需根据推广页面内容提供相应资质，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1201,"industryName":"生活服务综合平台","industryNote":"","industryCert":"如涉及软件需提供《计算机软件著作权登记证书》及软件截图，上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1202,"industryName":"快递物流","industryNote":"","industryCert":"请提供：1. 营业执照经营范围（相关的经营范围要覆盖推广的内容），《快递业务经营许可证》或《道路运输经营许可证》2、涉及国际货运需提供《国际货运代理企业备案表》上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1203,"industryName":"护养服务","industryNote":"","industryCert":"无特殊资质要求，更多详情请查看《快速通过指南》。 ","children":[]}]},{"industryId":1016,"industryName":"食品饮料","industryNote":"","industryCert":"","children":[{"industryId":1204,"industryName":"饮料","industryNote":"","industryCert":"请提供《食品经营许可证》或《食品生产许可证》或营业执照（相关的经营范围要覆盖推广的内容），上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1205,"industryName":"酒","industryNote":"","industryCert":"请提供 1.《食品经营许可证》或《食品生产许可证》（含酒类）或《酒类生产许可证》或《全国工业产品生产许可证》（含酒类）或《酒类批发许可证》或《酒类零售许可证》或营业执照（相关的经营范围要覆盖推广的内容）2.经国家规定或者认可的省辖市以上食品质量检验机构出具的该酒符合质量标准的检验证明。3.品牌商标证明，如授权推广仅支持品牌二级内授权。4.如含有电商属性仅支持依附于第三方电商平台投放，投放落地页仅支持天猫/京东店铺/官网。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1206,"industryName":"休闲食品","industryNote":"","industryCert":"请提供《食品经营许可证》或《食品生产许可证》或营业执照（相关的经营范围要覆盖推广的内容），上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1207,"industryName":"粮油米面","industryNote":"","industryCert":"请提供《食品经营许可证》或《食品生产许可证》或营业执照（相关的经营范围要覆盖推广的内容），上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1208,"industryName":"调味品","industryNote":"","industryCert":"请提供《食品经营许可证》或《食品生产许可证》或营业执照（相关的经营范围要覆盖推广的内容），上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1209,"industryName":"食用初级农产品","industryNote":"","industryCert":"请提供营业执照（相关的经营范围要覆盖推广的内容），上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1210,"industryName":"生鲜","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1211,"industryName":"营养品","industryNote":"","industryCert":"请提供《食品经营许可证》或《食品生产许可证》或营业执照（相关的经营范围要覆盖推广的内容），上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1212,"industryName":"食品饮料类线下零售类","industryNote":"","industryCert":"请提供《食品经营许可证》或《食品生产许可证》或营业执照（相关的经营范围要覆盖推广的内容），上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1213,"industryName":"其他食品饮料类","industryNote":"","industryCert":"请提供《食品经营许可证》或《食品生产许可证》或营业执照（相关的经营范围要覆盖推广的内容），上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]}]},{"industryId":1017,"industryName":"医疗","industryNote":"","industryCert":"","children":[{"industryId":1214,"industryName":"药品","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1216,"industryName":"医疗机构","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1217,"industryName":"医疗器械","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1218,"industryName":"医疗综合服务平台","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1219,"industryName":"其他医疗类","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1220,"industryName":"医疗周边","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1221,"industryName":"医药线下零售类","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]}]},{"industryId":1018,"industryName":"游戏","industryNote":"","industryCert":"","children":[{"industryId":1222,"industryName":"角色扮演","industryNote":"","industryCert":"1、《计算机软件著作权登记证书》或《文化部的批准文件（进口游戏）》，如著作权人与广告主不一致需提供计算机软件著作权登记证书授权书；2、游戏防沉迷相关资质：①【未成年人防沉迷承诺函】；②【游戏版号证明】，即国家新闻初版广电总局函件“红头字样的网络游戏出版物号ISBN核发单”；③【国家新闻出版署网络游戏防沉迷实名验证系统-接入资格证明】（红章）；④【游戏防沉迷实际接入效果备案】，即游戏实名登录截图（红章）、游戏内未成年人防沉迷公告截图（红章）、游戏防沉迷操作录屏（录屏需包含游戏ICON的设备端界面、防沉迷认证登录界面、游戏登录界面、游戏实际内容画面）。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1223,"industryName":"动作射击","industryNote":"","industryCert":"1、《计算机软件著作权登记证书》或《文化部的批准文件（进口游戏）》，如著作权人与广告主不一致需提供计算机软件著作权登记证书授权书；2、游戏防沉迷相关资质：①【未成年人防沉迷承诺函】；②【游戏版号证明】，即国家新闻初版广电总局函件“红头字样的网络游戏出版物号ISBN核发单”；③【国家新闻出版署网络游戏防沉迷实名验证系统-接入资格证明】（红章）；④【游戏防沉迷实际接入效果备案】，即游戏实名登录截图（红章）、游戏内未成年人防沉迷公告截图（红章）、游戏防沉迷操作录屏（录屏需包含游戏ICON的设备端界面、防沉迷认证登录界面、游戏登录界面、游戏实际内容画面）。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1224,"industryName":"棋牌捕鱼","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1225,"industryName":"体育竞技","industryNote":"","industryCert":"1、《计算机软件著作权登记证书》或《文化部的批准文件（进口游戏）》，如著作权人与广告主不一致需提供计算机软件著作权登记证书授权书；2、游戏防沉迷相关资质：①【未成年人防沉迷承诺函】；②【游戏版号证明】，即国家新闻初版广电总局函件“红头字样的网络游戏出版物号ISBN核发单”；③【国家新闻出版署网络游戏防沉迷实名验证系统-接入资格证明】（红章）；④【游戏防沉迷实际接入效果备案】，即游戏实名登录截图（红章）、游戏内未成年人防沉迷公告截图（红章）、游戏防沉迷操作录屏（录屏需包含游戏ICON的设备端界面、防沉迷认证登录界面、游戏登录界面、游戏实际内容画面）。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1226,"industryName":"模拟经营","industryNote":"","industryCert":"1、《计算机软件著作权登记证书》或《文化部的批准文件（进口游戏）》，如著作权人与广告主不一致需提供计算机软件著作权登记证书授权书；2、游戏防沉迷相关资质：①【未成年人防沉迷承诺函】；②【游戏版号证明】，即国家新闻初版广电总局函件“红头字样的网络游戏出版物号ISBN核发单”；③【国家新闻出版署网络游戏防沉迷实名验证系统-接入资格证明】（红章）；④【游戏防沉迷实际接入效果备案】，即游戏实名登录截图（红章）、游戏内未成年人防沉迷公告截图（红章）、游戏防沉迷操作录屏（录屏需包含游戏ICON的设备端界面、防沉迷认证登录界面、游戏登录界面、游戏实际内容画面）。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1227,"industryName":"策略游戏","industryNote":"","industryCert":"1、《计算机软件著作权登记证书》或《文化部的批准文件（进口游戏）》，如著作权人与广告主不一致需提供计算机软件著作权登记证书授权书；2、游戏防沉迷相关资质：①【未成年人防沉迷承诺函】；②【游戏版号证明】，即国家新闻初版广电总局函件“红头字样的网络游戏出版物号ISBN核发单”；③【国家新闻出版署网络游戏防沉迷实名验证系统-接入资格证明】（红章）；④【游戏防沉迷实际接入效果备案】，即游戏实名登录截图（红章）、游戏内未成年人防沉迷公告截图（红章）、游戏防沉迷操作录屏（录屏需包含游戏ICON的设备端界面、防沉迷认证登录界面、游戏登录界面、游戏实际内容画面）。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1228,"industryName":"休闲益智","industryNote":"","industryCert":"1、《计算机软件著作权登记证书》或《文化部的批准文件（进口游戏）》，如著作权人与广告主不一致需提供计算机软件著作权登记证书授权书；2、游戏防沉迷相关资质：①【未成年人防沉迷承诺函】；②【游戏版号证明】，即国家新闻初版广电总局函件“红头字样的网络游戏出版物号ISBN核发单”；③【国家新闻出版署网络游戏防沉迷实名验证系统-接入资格证明】（红章）；④【游戏防沉迷实际接入效果备案】，即游戏实名登录截图（红章）、游戏内未成年人防沉迷公告截图（红章）、游戏防沉迷操作录屏（录屏需包含游戏ICON的设备端界面、防沉迷认证登录界面、游戏登录界面、游戏实际内容画面）。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1229,"industryName":"综合游戏平台","industryNote":"","industryCert":"1、《计算机软件著作权登记证书》或《文化部的批准文件（进口游戏）》，如著作权人与广告主不一致需提供计算机软件著作权登记证书授权书；2、游戏防沉迷相关资质：①【未成年人防沉迷承诺函】；②【游戏版号证明】，即国家新闻初版广电总局函件“红头字样的网络游戏出版物号ISBN核发单”；③【国家新闻出版署网络游戏防沉迷实名验证系统-接入资格证明】（红章）；④【游戏防沉迷实际接入效果备案】，即游戏实名登录截图（红章）、游戏内未成年人防沉迷公告截图（红章）、游戏防沉迷操作录屏（录屏需包含游戏ICON的设备端界面、防沉迷认证登录界面、游戏登录界面、游戏实际内容画面）。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1230,"industryName":"卡牌游戏","industryNote":"","industryCert":"1、《计算机软件著作权登记证书》或《文化部的批准文件（进口游戏）》，如著作权人与广告主不一致需提供计算机软件著作权登记证书授权书；2、游戏防沉迷相关资质：①【未成年人防沉迷承诺函】；②【游戏版号证明】，即国家新闻初版广电总局函件“红头字样的网络游戏出版物号ISBN核发单”；③【国家新闻出版署网络游戏防沉迷实名验证系统-接入资格证明】（红章）；④【游戏防沉迷实际接入效果备案】，即游戏实名登录截图（红章）、游戏内未成年人防沉迷公告截图（红章）、游戏防沉迷操作录屏（录屏需包含游戏ICON的设备端界面、防沉迷认证登录界面、游戏登录界面、游戏实际内容画面）。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1231,"industryName":"MOBA","industryNote":"","industryCert":"1、《计算机软件著作权登记证书》或《文化部的批准文件（进口游戏）》，如著作权人与广告主不一致需提供计算机软件著作权登记证书授权书；2、游戏防沉迷相关资质：①【未成年人防沉迷承诺函】；②【游戏版号证明】，即国家新闻初版广电总局函件“红头字样的网络游戏出版物号ISBN核发单”；③【国家新闻出版署网络游戏防沉迷实名验证系统-接入资格证明】（红章）；④【游戏防沉迷实际接入效果备案】，即游戏实名登录截图（红章）、游戏内未成年人防沉迷公告截图（红章）、游戏防沉迷操作录屏（录屏需包含游戏ICON的设备端界面、防沉迷认证登录界面、游戏登录界面、游戏实际内容画面）。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1232,"industryName":"其他游戏类","industryNote":"","industryCert":"1、《计算机软件著作权登记证书》或《文化部的批准文件（进口游戏）》，如著作权人与广告主不一致需提供计算机软件著作权登记证书授权书；2、游戏防沉迷相关资质：①【未成年人防沉迷承诺函】；②【游戏版号证明】，即国家新闻初版广电总局函件“红头字样的网络游戏出版物号ISBN核发单”；③【国家新闻出版署网络游戏防沉迷实名验证系统-接入资格证明】（红章）；④【游戏防沉迷实际接入效果备案】，即游戏实名登录截图（红章）、游戏内未成年人防沉迷公告截图（红章）、游戏防沉迷操作录屏（录屏需包含游戏ICON的设备端界面、防沉迷认证登录界面、游戏登录界面、游戏实际内容画面）。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]}]},{"industryId":1019,"industryName":"运动娱乐休闲","industryNote":"","industryCert":"","children":[{"industryId":1233,"industryName":"彩票","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1234,"industryName":"演出票务及周边","industryNote":"","industryCert":"1.请提供对应演出的《营业性演出经营许可证》2.如涉及票务销售，需提供票务代理合同。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1235,"industryName":"运势测算","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1236,"industryName":"体育用品","industryNote":"","industryCert":"请提供营业执照（相关的经营范围要覆盖推广的内容），上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1237,"industryName":"文具玩具礼品乐器","industryNote":"","industryCert":"如涉及3C类电子产品需提供《中国国家强制性产品认证证书》（3C认证书），更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1238,"industryName":"室内外娱乐","industryNote":"","industryCert":"请提供《娱乐经营许可证》。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1239,"industryName":"文化艺术收藏品","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1240,"industryName":"其他运动娱乐休闲类","industryNote":"","industryCert":"需根据推广页面内容提供相应资质，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1241,"industryName":"体育赛事","industryNote":"","industryCert":"需根据推广页面内容提供相应资质，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":2025,"industryName":"户外用品","industryNote":"","industryCert":"请提供营业执照；如涉及进口商品，需提供进口产品品牌近一年内中华人民共和国海关进口货物报关单，报关单中需包含品牌名称、产品名称、产品型号；委托进口协议：若报关单上的经营单位或收货单位不在授权链上，需提供委托报关授权以及同入驻商户的关系证明。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]}]},{"industryId":1020,"industryName":"社会公共","industryNote":"","industryCert":"","children":[{"industryId":1242,"industryName":"社会组织","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1243,"industryName":"政府组织","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1244,"industryName":"宗教机构","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]}]},{"industryId":1021,"industryName":"传媒资讯","industryNote":"","industryCert":"","children":[{"industryId":1245,"industryName":"综合资讯","industryNote":"","industryCert":"请提供《互联网新闻信息服务许可证》，上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1247,"industryName":"生活休闲类软件","industryNote":"","industryCert":"请提供《计算机软件著作权登记证书》。 如著作权人与广告主不一致，需提供《计算机软件著作权登记证书授权书》。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！","children":[]},{"industryId":1248,"industryName":"社交通讯","industryNote":"","industryCert":"请提供：1、营业执照；2、计算机软件著作权登记证书；上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1249,"industryName":"招聘资讯","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1250,"industryName":"工具类软件","industryNote":"","industryCert":"请提供《计算机软件著作权登记证书》。 如著作权人与广告主不一致，需提供《计算机软件著作权登记证书授权书》。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！","children":[]},{"industryId":1251,"industryName":"其他资讯类","industryNote":"","industryCert":"需根据推广页面内容提供相应资质，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":1252,"industryName":"电视台/广播台","industryNote":"","industryCert":"请提供：①院线电影：《电影公映许可证件》②电视剧：《电视剧发行许可证》③网络电影、网络电视剧：“重点网络影视剧信息备案系统”中的截图，需保留完整的IE地址）上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1253,"industryName":"多媒体处理软件","industryNote":"","industryCert":"请提供《计算机软件著作权登记证书》。 如著作权人与广告主不一致，需提供《计算机软件著作权登记证书授权书》。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！","children":[]},{"industryId":1254,"industryName":"出版传媒","industryNote":"","industryCert":"请提供1.《网络文化经营许可证》或《互联网出版许可证》或《网络出版服务许可证》或《出版物经营许可证》2.《增值电信业务经营许可证》或icp备案证明上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":1255,"industryName":"书籍杂志-实体书","industryNote":"","industryCert":"请提供《出版物经营许可证》，上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":2002,"industryName":"阅读类软件","industryNote":"","industryCert":"请提供《计算机软件著作权登记证书》，如著作权人与广告主不一致，需提供《计算机软件著作权登记证书授权书》。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":2003,"industryName":"影音视听软件","industryNote":"","industryCert":"请提供《计算机软件著作权登记证书》，如著作权人与广告主不一致，需提供《计算机软件著作权登记证书授权书》。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":2004,"industryName":"垂直资讯","industryNote":"","industryCert":"请提供《计算机软件著作权登记证书》，如著作权人与广告主不一致，需提供《计算机软件著作权登记证书授权书》。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":2012,"industryName":"付费短剧","industryNote":"","industryCert":"请提供以下两个资质：一、广告主两证齐全 1、增值电信业务经营许可证或icp备案证明（2选1）；2、信息网络传播视听节目许可证（经营范围应包含推广产品）或广播电视制作许可证（2选1）；二、合作方提供一证 1、广告主与合作方的合作协议；2、广告主有以下证书至少一个，其他由合作方提供 ①ICP备案证明（无须单独授权）或《增值电信业务经营许可证》（2选1）②信息网络传播视听节目许可证（经营范围应包含推广产品）或广播电视制作许可证（2选1）；三、合作方提供两证 1、广告主与合作方的合作协议；2、两证均由合作方提供： ①ICP备案证明（无须单独授权）或《增值电信业务经营许可证》（2选1） ②信息网络传播视听节目许可证（经营范围应包含推广产品）或广播电视制作许可证（2选1）。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":2022,"industryName":"互动平台","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":2024,"industryName":"出行服务","industryNote":"","industryCert":"1.推广网约车需提供《网络预约出租汽车经营许可证》和《增值电信业务经营许可证》2.如推广顺风车需要提供当地主管部门提供的备案证明（各地要求不一具体以当地要求为准）上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]}]},{"industryId":1022,"industryName":"直营电商","industryNote":"","industryCert":"","children":[{"industryId":1256,"industryName":"直营化妆品类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1257,"industryName":"直营日化用品类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1258,"industryName":"直营母婴用品类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1259,"industryName":"直营宠物用品类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1260,"industryName":"直营3C类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1261,"industryName":"直营家用电器类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1262,"industryName":"直营商用电器类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1263,"industryName":"直营服装衣帽类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1264,"industryName":"直营内衣类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1265,"industryName":"直营鞋靴类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1266,"industryName":"直营箱包类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1267,"industryName":"直营珠宝饰品类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1268,"industryName":"直营钟表类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1269,"industryName":"直营休闲食品类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1270,"industryName":"直营饮料类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1271,"industryName":"直营酒类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1272,"industryName":"直营粮油米面类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1273,"industryName":"直营调味品类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1274,"industryName":"直营食用初级农产品类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1275,"industryName":"直营生鲜类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1276,"industryName":"直营营养品类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1277,"industryName":"直营家装建材类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1278,"industryName":"直营五金电工类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1279,"industryName":"直营家具类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1280,"industryName":"直营家居饰品类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1281,"industryName":"直营生活用品类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1282,"industryName":"直营文具玩具礼品乐器类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1283,"industryName":"直营文化艺术收藏品类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1284,"industryName":"直营体育用品类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1285,"industryName":"直营户外用品类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1286,"industryName":"直营书籍杂志类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1287,"industryName":"直营汽车配饰类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1288,"industryName":"直营汽车零配件类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]},{"industryId":1289,"industryName":"其他直营类","industryNote":"","industryCert":"暂未开放准入。 ","children":[]}]},{"industryId":2013,"industryName":"美妆","industryNote":"","industryCert":"","children":[{"industryId":2015,"industryName":"一般化妆品","industryNote":"","industryCert":"1.需要提供对应产品的《国产非特殊/特殊用途化妆品备案登记凭证》/《国产非特殊/特殊用途化妆品备案电子凭证》及生产方营业执照及委托推广协议/经销授权/代加工协议及产品检验报告；2.进口化妆品：《进口报关单》及《进口化妆品卫生许可批件》或 国家药品监督管理局查询结果截图，如生产主体与开户主体不一致时需提供：生产方营业执照及委托推广协议/经销授权/代加工协议。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":2016,"industryName":"特殊化妆品","industryNote":"","industryCert":"1.需要提供对应产品的《国产非特殊/特殊用途化妆品备案登记凭证》/《国产非特殊/特殊用途化妆品备案电子凭证》及生产方营业执照及委托推广协议/经销授权/代加工协议及产品检验报告；2.进口化妆品：《进口报关单》及《进口化妆品卫生许可批件》或 国家药品监督管理局查询结果截图，如生产主体与开户主体不一致时需提供：生产方营业执照及委托推广协议/经销授权/代加工协议。上述资质内容仅供参考，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":2017,"industryName":"美妆工具","industryNote":"","industryCert":"需根据推广页面内容提供相应资质，更多详情请查看《快速通过指南》。 ","children":[]},{"industryId":2018,"industryName":"其他美妆","industryNote":"","industryCert":"需根据推广页面内容提供相应资质，更多详情请查看《快速通过指南》。 ","children":[]}]},{"industryId":2014,"industryName":"电商达人","industryNote":"","industryCert":"","children":[{"industryId":2019,"industryName":"大V","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]},{"industryId":2020,"industryName":"探索运营","industryNote":"","industryCert":"该行业目前暂未完全开放，详情请咨询代理或客服，感谢您的理解和支持！ ","children":[]}]}]}';
        $dataArr = json_decode($jsonData, true);

        $data = $dataArr['data'];
        foreach ($data as $datum) {
            SysIndustry::query()
                ->updateOrInsert([
                    'industry_id' => $datum['industryId']
                ], [
                    'industry_name'      => $datum['industryName'],
                    'industry_note'      => $datum['industryNote'],
                    'industry_cert'      => $datum['industryCert'],
                    'parent_industry_id' => 0
                ]);

            if (empty($datum['children'])) continue;

            foreach ($datum['children'] as $child) {
                SysIndustry::query()
                    ->updateOrInsert([
                        'industry_id' => $child['industryId']
                    ], [
                        'industry_name'      => $child['industryName'],
                        'industry_note'      => $child['industryNote'],
                        'industry_cert'      => $child['industryCert'],
                        'parent_industry_id' => $datum['industryId']
                    ]);
            }
        }
    }

    public function start4()
    {
        $userIds = JxStarVideoFlowDailyData::query()
            ->selectRaw("DISTINCT user_id")
            ->pluck('user_id')
            ->all();

        foreach ($userIds as $userId) {
            ## 获取达人信息队列
            JxStarUsers::intoUserInfoSyncRds($userId);
        }
    }

    public function start5()
    {
        $assign = new AssignJuxingAdToRds();
        $advertiserIds = $assign->getAdvertiserIds();
        $assign->getStarVideo($advertiserIds);
    }

    public function start6()
    {
        Log::error('test', [], 'test-1');
    }
}
