<?php

namespace App\Console\Commands\Qtask;

use App\Models\JxQtaskLiveOrderList;
use App\Models\JxQtaskLiveOrderDaily;
use App\Support\Log;
use App\Support\RedisModel;
use Illuminate\Console\Command;
use kwaiSDK\JuXing;

class LiveDailyOrderRdsList extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'Qtask:LiveDailyOrderRdsList';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = '生成快任务直播订单分天拉取队列';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $this->info(date('H:i') . ' 开始执行');
        $this->start();
        $this->info(date('H:i') . ' 结束执行');

        return 0;
    }

    public function start()
    {
        $rkey = JxQtaskLiveOrderDaily::JUXING_QTASK_LIVE_ORDER_DAILY_SYNC_ORDERID_LIST;

        $start = date('Y-m-d', strtotime('-3 day')); //更新近4天直播的数据
        if( mt_rand(0, 10)==1 ){
            $start = date('Y-m-d', strtotime('-7 day')); //每小时跑一次近一周的，以防超长直播
        }
        $res = JxQtaskLiveOrderList::query()
            ->select('advertiser_id', 'task_id', 'order_id')
            ->where('star_release_time', '>', $start)
            ->where('enable', 1)
            ->get();

        $n = 0;
        $rdata = array();

        foreach($res as $item){
            $t_id = $item->task_id;

            if( !isset($rdata[$t_id]) ){
                $rdata[$t_id] = [
                    'advertiser_id' => $item->advertiser_id,
                    'task_id' => $item->task_id,
                    'order_id' => [$item->order_id.''],
                    'start' => date('Y-m-d', strtotime('-3 day')),
                    'end' => date('Y-m-d')
                ];
            } else {
                $rdata[$t_id]['order_id'][] = $item->order_id.'';
            }
        }

        $task_ids = array();
        foreach ($rdata as $key => $data) {
            $n++;
            $task_ids[] = $key;
            RedisModel::rPush($rkey, json_encode($data));
            $this->info(date('H:i') . ' 塞入队列次数：'. $n );
        }

//        Log::info('塞入队列次数：' . $n, [
//            'start' => $start,
//            'task_ids' => $task_ids
//        ], 'Qtask:LiveDailyOrderRdsList');

    }


}
