<?php

namespace App\Console\Commands;

use App\Models\JuxingAdAccount;
use App\Models\JxStarUsers;
use App\Support\Log;
use App\Support\RedisModel;
use Illuminate\Console\Command;
use kwaiSDK\JuXing;

class StarUserRdsAdd extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'StarUserRdsAdd';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = '生成更新达人信息队列-每日更新';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $this->info(date('H:i') . ' 开始执行');
        $this->start();
        $this->info(date('H:i') . ' 结束执行');

        return 0;
    }

    public function start()
    {
        $res = $this->gensslg();

        foreach($res as $list){

            foreach($list as $v){
                $data = [
                    'advertiserId' => $v['advertiser_id'],
                    'userId' => $v['user_id']
                ];

                RedisModel::lPush(JxStarUsers::JUXING_STAR_USER_INFO_SYNC_LIST, json_encode($data));
            }
        }
    
    }

    public function gensslg()
    {
        $mid = 0;
        while(true){
            $res = JxStarUsers::select('advertiser_id', 'user_id', 'id')
                ->where('id', '>', $mid)
                ->orderBy('id')
                ->limit(500)
                ->get()
                ->toArray();

            if(empty($res)){
                break;
            }

            $mid = end($res)['id'];

            yield $res;

        }
    }

}
