<?php

namespace App\Models;

use App\Support\Log;
use App\Support\RedisModel;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class JxStarUsers extends Model
{
    public $timestamps = false;
    protected $table = 'jx_star_users';
    protected static $unguarded = true;

    # 需同步达人信息队列
    const JUXING_STAR_USER_INFO_SYNC_LIST = 'juxingStarUserInfoSyncList';

    /**
     * 获取达人信息队列
     * @param $advertiserId
     * @param $userId
     */
    public static function intoUserInfoSyncRds($userId)
    {
        $data = [
            'advertiserId' => 109669786,
            'userId'       => $userId
        ];
        RedisModel::lPush(self::JUXING_STAR_USER_INFO_SYNC_LIST, json_encode($data));

//        Log::info('获取达人详情入队列成功', $data, 'StarUsersSync-intoQueue');
    }
}
