<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class JxStarVideoFlowOrderList extends Model
{
    public $timestamps = false;
    protected $table = 'jx_star_video_flow_order_list';
    protected static $unguarded = true;

    #流量助推：星视频订单数据入库队列
    const JUXING_STAR_VIDEO_FLOW_ORDER_INDB_LIST = 'juxingStarVideoFlowOrderIndbList';

    public static function getOrderListQuery($adverIds, $keyword, $type, $status, $taskIds, $stDate, $enDate) {
        return JxStarVideoFlowOrderList::query()->where(function($query) use ($adverIds, $keyword, $type, $taskIds, $stDate, $enDate, $status) {
            if(!empty($stDate)) $query->where('created_at', '>=', $stDate.' 00:00:00');
            if(!empty($enDate)) $query->where('created_at', '<=', $enDate.' 23:59:59');
            if(!empty($adverIds)) $query->whereIn('advertiser_id', $adverIds);
            if(is_numeric($status)) $query->where('status', $status);
            switch($type) {
                case 1: # 订单ID
                    $query->where('order_id', 'like', '%'.$keyword.'%');
                    break;
                case 2: # 助推订单ID
                    $query->where('supplement_order_id', 'like', '%'.$keyword.'%');
                    break;
                case 3: # 任务ID
                    $query->where('task_id', 'like', '%'.$keyword.'%');
                    break;
                case 4: # 达人ID
                    $query->where('user_id', 'like', '%'.$keyword.'%');
                    break;
                case 5: # 任务名称
                    $query->whereIn('task_id', $taskIds);
                    break;
            }
        })->where('enable', 1);
    }
}
