<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SearchConfigGroup extends Model
{
    protected $table = 'search_config_group';
    public $timestamps = false;
    protected static $unguarded = true;

    public static function getConfigByType($type){
        $args = $type."_DEF_CNF";
        return self::$$args;
    }

    public static function getAllColumn($type){
        $config = self::getConfigByType($type);
        $allColumn = [];
        foreach ($config['seting'] as $item){
            $allColumn = array_merge($allColumn, array_column($item['list'],'key'));
        }
        return $allColumn;
    }

    public static $STAR_VIDEO_TREND_DEF_CNF = [
        'seting' =>  [
            [
                'group_name' => 'default',
                'list'       => [
                    [
                        'key'        => 'real_amount',
                        'name'       => '消耗',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'view',
                        'name'       => '曝光数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'play',
                        'name'       => '播放数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'         => 'action',
                        'name'        => '行为数',
                        'sort'        => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'admire',
                        'name'       => '点赞数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'comment',
                        'name'       => '评论数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'click',
                        'name'       => '点击数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'play_5s',
                        'name'       => '5s播放数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'play_end',
                        'name'       => '完播数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'item_impression_cnt',
                        'name'       => '组件曝光',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'item_click_cnt',
                        'name'       => '组件点击',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'user_cnt',
                        'name'       => '覆盖用户数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'click_rate',
                        'name'       => '点击率',
                        'sort'       => 0,
                        'hasPercent' => true,
                    ],
                    [
                        'key'        => 'play_5s_rate',
                        'name'       => '5s播放率',
                        'sort'       => 0,
                        'hasPercent' => true,
                    ],
                    [
                        'key'        => 'play_end_rate',
                        'name'       => '完播率',
                        'sort'       => 0,
                        'hasPercent' => true,
                    ],
                    [
                        'key'        => 'item_click_rate',
                        'name'       => '组件点击率',
                        'sort'       => 0,
                        'hasPercent' => true,
                    ]
                ],
            ],
        ],
        'default' => [
            'real_amount', 'view', 'play', 'action', 'admire', 'comment', 'click'
        ]
    ];

    public static $STAR_LIVE_TREND_DEF_CNF = [
        'seting' =>  [
            [
                'group_name' => 'default',
                'list'       => [
                    [
                        'key'        => 'real_amount',
                        'name'       => '消耗',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'play_cnt',
                        'name'       => '播放数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'play_uv',
                        'name'       => '播放人数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'         => 'like_cnt',
                        'name'        => '点赞数',
                        'sort'        => 0,
                        'hasPercent'  => false,
                    ],
                    [
                        'key'        => 'comment_cnt',
                        'name'       => '评论数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'share_cnt',
                        'name'       => '分享数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'live_duration',
                        'name'       => '直播时长',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'item_show_cnt',
                        'name'       => '组件曝光',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'item_click_cnt',
                        'name'       => '组件点击',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'sale_product_cnt',
                        'name'       => '销售量',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'sale_amount',
                        'name'       => '销售金额',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'item_click_rate',
                        'name'       => '组件点击率',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ]
                ],
            ],
        ],
        'default' => [
            'real_amount', 'play_cnt', 'play_uv', 'like_cnt', 'comment_cnt', 'share_cnt', 'live_duration'
        ]
    ];

    public static $QTASK_VIDEO_TREND_DEF_CNF = [
        'seting' =>  [
            [
                'group_name' => 'default',
                'list'       => [
                    [
                        'key'        => 'amount',
                        'name'       => '消耗',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'view',
                        'name'       => '曝光数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'play',
                        'name'       => '播放数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'         => 'action',
                        'name'        => '行为数',
                        'sort'        => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'admire',
                        'name'       => '点赞数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'comment',
                        'name'       => '评论数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'click',
                        'name'       => '点击数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'play_3s',
                        'name'       => '3s播放数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'play_5s',
                        'name'       => '5s播放数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'play_end',
                        'name'       => '完播数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'item_impression_cnt',
                        'name'       => '组件曝光',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'item_click_cnt',
                        'name'       => '组件点击',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'click_rate',
                        'name'       => '点击率',
                        'sort'       => 0,
                        'hasPercent' => true,
                    ],
                    [
                        'key'        => 'play_3s_rate',
                        'name'       => '3s播放率',
                        'sort'       => 0,
                        'hasPercent' => true,
                    ],
                    [
                        'key'        => 'play_5s_rate',
                        'name'       => '5s播放率',
                        'sort'       => 0,
                        'hasPercent' => true,
                    ],
                    [
                        'key'        => 'play_end_rate',
                        'name'       => '完播率',
                        'sort'       => 0,
                        'hasPercent' => true,
                    ],
                    [
                        'key'        => 'item_click_rate',
                        'name'       => '组件点击率',
                        'sort'       => 0,
                        'hasPercent' => true,
                    ]
                ],
            ],
        ],
        'default' => [
            'amount', 'view', 'play', 'action', 'admire', 'comment', 'click'
        ]
    ];

    public static $QTASK_LIVE_TREND_DEF_CNF = [
        'seting' =>  [
            [
                'group_name' => 'default',
                'list'       => [
                    [
                        'key'        => 'amount',
                        'name'       => '消耗',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'play_cnt',
                        'name'       => '播放数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'play_uv',
                        'name'       => '播放人数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'         => 'like_cnt',
                        'name'        => '点赞数',
                        'sort'        => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'comment_cnt',
                        'name'       => '评论数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'share_cnt',
                        'name'       => '分享数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'live_duration',
                        'name'       => '直播时长',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'item_show_cnt',
                        'name'       => '组件曝光',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'item_click_cnt',
                        'name'       => '组件点击',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'item_click_rate',
                        'name'       => '组件点击率',
                        'sort'       => 0,
                        'hasPercent' => true,
                    ]
                ],
            ],
        ],
        'default' => [
            'amount', 'play_cnt', 'play_uv', 'like_cnt', 'comment_cnt', 'share_cnt', 'live_duration'
        ]
    ];

    public static $FLOW_STAR_VIDEO_TREND_DEF_CNF = [
        'seting' =>  [
            [
                'group_name' => 'default',
                'list'       => [
                    [
                        'key'        => 'consume_amou',
                        'name'       => '消耗',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'view',
                        'name'       => '播放数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'action',
                        'name'       => '行为数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'         => 'conversion',
                        'name'        => '激活数',
                        'sort'        => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'admire',
                        'name'       => '点赞数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'comment',
                        'name'       => '评论数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'played3s_cnt',
                        'name'       => '3s播放数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'cash_amount',
                        'name'       => '现金金额',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'client_amount',
                        'name'       => '客户返货金额',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'agency_amount',
                        'name'       => '代理返货金额',
                        'sort'       => 0,
                        'hasPercent' => true,
                    ],
                    [
                        'key'        => 'credit_consume_amount',
                        'name'       => '授信实际消耗金额',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'play_3s_rate',
                        'name'       => '3s播放率',
                        'sort'       => 0,
                        'hasPercent' => true,
                    ],
                    [
                        'key'        => 'action_rate',
                        'name'       => '行为率',
                        'sort'       => 0,
                        'hasPercent' => true,
                    ],
                ],
            ],
        ],
        'default' => [
            'consume_amount', 'view', 'play', 'action', 'conversion', 'admire', 'comment'
        ]
    ];

    public static $FLOW_STAR_LIVE_TREND_DEF_CNF = [
        'seting' =>  [
            [
                'group_name' => 'default',
                'list'       => [
                    [
                        'key'        => 'consume_amount',
                        'name'       => '消耗',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'audience_num',
                        'name'       => '引入观众数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'played3s_num',
                        'name'       => '观看3s+观众数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'         => 'fans_increase_num',
                        'name'        => '新增粉丝数',
                        'sort'        => 0,
                        'hasPercent'  => false,
                    ],
                    [
                        'key'        => 'item_impression_num',
                        'name'       => '推广直播间曝光数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'interactive_num',
                        'name'       => '互动数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'conversion_impression_num',
                        'name'       => '组件曝光数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'conversion_action_num',
                        'name'       => '行为数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'cash_amount',
                        'name'       => '现金金额',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'client_amount',
                        'name'       => '客户返货金额',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'agency_amount',
                        'name'       => '代理返货金额',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'credit_consume_amount',
                        'name'       => '授信实际消耗金额',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'conversion_action_cost',
                        'name'       => '行为成本',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ]
                ],
            ],
        ],
        'default' => [
            'consume_amount', 'audience_num', 'fans_increase_num', 'item_impression_num',
            'interactive_num', 'conversion_impression_num', 'conversion_action_num'
        ]
    ];

    public static $FLOW_QTASK_VIDEO_TREND_DEF_CNF = [
        'seting' =>  [
            [
                'group_name' => 'default',
                'list'       => [
                    [
                        'key'        => 'consume_amount',
                        'name'       => '消耗',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'view',
                        'name'       => '曝光数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'play',
                        'name'       => '播放数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'         => 'action',
                        'name'        => '行为数',
                        'sort'        => 0,
                        'hasPercent'  => false,
                    ],
                    [
                        'key'        => 'conversion',
                        'name'       => '激活数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'admire',
                        'name'       => '点赞数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'comment',
                        'name'       => '评论数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'played3s_cnt',
                        'name'       => '3s播放数',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'cash_amount',
                        'name'       => '现金金额',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'client_amount',
                        'name'       => '客户返货金额',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'agency_amount',
                        'name'       => '代理返货金额',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'credit_consume_amount',
                        'name'       => '授信实际消耗金额',
                        'sort'       => 0,
                        'hasPercent' => false,
                    ],
                    [
                        'key'        => 'play_3s_rate',
                        'name'       => '3s播放率',
                        'sort'       => 0,
                        'hasPercent' => true,
                    ],
                    [
                        'key'        => 'action_rate',
                        'name'       => '行为率',
                        'sort'       => 0,
                        'hasPercent' => true,
                    ]
                ],
            ],
        ],
        'default' => [
            'consume_amount', 'view', 'play', 'action', 'conversion', 'admire', 'comment'
        ]
    ];
}
