<?php

namespace kwaiSDK\Api\JuXing;

use kwaiSDK\Api\Request;

class SupplementOrderV2 extends Request
{
    /**
     * 星视频下单
     * @param array $data
     * @return mixed
     */
    public function starVideoCreate(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/v2/supplement_order/star_video/create';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 星直播下单
     * @param array $data
     * @return mixed
     */
    public function starLiveCreate(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/v2/supplement_order/star_live/create';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 星任务视频下单
     * @param array $data
     * @return mixed
     */
    public function starTaskVideoCreate(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/v2/supplement_order/star_task_video/create';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 助推订单停投
     * @param array $data
     * @return mixed
     */
    public function stop(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/v2/supplement_order/stop';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 修改推广结束时间
     * @param array $data
     * @return mixed
     */
    public function promotionEndtimeUpdate(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/v2/supplement_order/promotion_endtime/update';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 升单
     * @param array $data
     * @return mixed
     */
    public function amountUpgrade(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/v2/supplement_order/amount/upgrade';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 助推订单修改出价
     * @param array $data
     * @return mixed
     */
    public function unitPriceUpdate(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/v2/supplement_order/unit_price/update';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 获取支付方式
     * @param array $data
     * @return mixed
     */
    public function payMethod(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/v2/supplement_order/pay_method';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 获取助推场景
     * @param array $data
     * @return mixed
     */
    public function show(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/v2/supplement_order/show';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 获取价格上下限
     * @param array $data
     * @return mixed
     */
    public function quotePrice(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/v2/supplement_order/quote_price';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 获取定向方式接口
     * @param array $data
     * @return mixed
     */
    public function targetInfo(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/v2/supplement_order/target_info';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 获取直播推广中作品信息
     * @param array $data
     * @return mixed
     */
    public function videoShow(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/v2/supplement_order/video_show';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 获取购量信息
     * @param array $data
     * @return mixed
     */
    public function estimatedShow(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/v2/supplement_order/estimated_show';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 流量助推查询接口
     * @param array $data
     * @return mixed
     */
    public function list(array $data=[])
    {
        $this->apiPre  = '/rest/openapi/v1/ad_social';
        $this->type    = 'POST';
        $this->path    = '/supplement_order/list';
        $this->data    = $data;

        return $this->exec();
    }

    /**
     * 流量助推查询实时数据接口
     * @param array $data
     * @return mixed
     */
    public function realtimeList(array $data=[])
    {
        $this->type    = 'POST';
        $this->path    = '/v1/supplement_order/realtime/list';
        $this->data    = $data;

        return $this->exec();
    }

    /**
     * 流量助推直播查询接口
     * @param array $data
     * @return mixed
     */
    public function liveList(array $data=[])
    {
        $this->type    = 'POST';
        $this->path    = '/v1/supplement_order/live/list';
        $this->data    = $data;

        return $this->exec();
    }
}
