<?php

namespace kwaiSDK;

use kwaiSDK\Api\PubUse\Authorize;

class PubUse
{
    protected $appId;
    protected $secret;
    protected $host;

    protected $options = [];

    function __construct($appId='', $secret='', $host='https://ad.e.kuaishou.com'){
        $this->host   = $host;
        $this->appId  = $appId;
        $this->secret = $secret;
    }

    /**
     * 初始化
     * */
    private function init(){
        return [
            'app_id'  => $this->appId,
            'secret'  => $this->secret,
            'host'    => $this->host,
            'options' => $this->options,
            'api_pre' => '/rest/openapi/oauth2'

        ];
    }

    /**
     *  设置
     * */
    function setOptions(array $options=[]){
        $this->options = $options;
    }

    /**
     * 授权相关
     * */
    public function authorize(){
        return  new Authorize($this->init());
    }
}
